Not able to import sip

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Not able to import sip

Rakesh Singhal-2
Using qt 5.11.3, sip 4.19.13 and pyqt4 4.12.3. Using pyinstaller to create app but getting following error during build application:

6544 ERROR: Cannot find qt_menu.nib directory
6544 INFO: Processing hook hook-PyQt4
6545 INFO: Processing hook hook-PyQt4.Qt
6547 INFO: Processing hook hook-PyQt4.QtCore
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named sip
6669 ERROR: Cannot find PyQt4 plugin directories
6673 INFO: Processing hook hook-PyQt4.QtGui
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named sip

The app is created and getting following error during executing it:
Traceback (most recent call last):
  File "<string>", line 39, in <module>
  File "/opt/local/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/PyInstaller-2.1-py2.7.egg/PyInstaller/loader/pyi_importers.py", line 409, in load_module
ImportError: No module named sip

I have tried with pyinstaller 3.4 and sip 4.19.12 also but same error. I can't use pyqt5 right now.

Regards,
Rakesh





_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt